<?php
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateApkOptionLogTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('apk_option_log', function (Blueprint $table) {
            $table->increments('id')->comment('自增主键');
            $table->string('modeule',32)->default('')->comment('模块');
            $table->string('type',8)->default('')->comment('操作类型');
            $table->string('sumbit_param',512)->default('')->comment('提交参数');
            $table->integer('option_id')->default(0)->comment('操作人ID');
            $table->integer('data_id')->default(0)->comment('数据ID');
            $table->string('remak',128)->default('')->comment('备注');
            $table->timestamps();
            $table->softDeletes();
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('apk_option_log');
    }
}